Debian Bug report logs - #675842
webkitkde: FTBFS[kfreebsd]: symbol changes

version graph

Package: src:webkitkde; Maintainer for src:webkitkde is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 16:21:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version webkitkde/0.9.6svn1180498-2.1

Fixed in version src:webkitkde/1.3~git20120518.9a111005-2

Done: adrien <adrien@adrieng.homeip.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Adrian von Bidder <cmot@debian.org>:
Bug#675842; Package src:webkitkde. (Sun, 03 Jun 2012 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Adrian von Bidder <cmot@debian.org>. (Sun, 03 Jun 2012 16:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: webkitkde: FTBFS[kfreebsd]: symbol changes
Date: Sun, 03 Jun 2012 18:19:32 +0200
Package: src:webkitkde
Version: 0.9.6svn1180498-2.1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

dh_makeshlibs -Xkwebkitpart.so
dpkg-gensymbols: warning: some new symbols appeared in the symbols file: see diff output below
dpkg-gensymbols: warning: some symbols or patterns disappeared in the symbols file: see diff output below
dpkg-gensymbols: warning: debian/libkwebkit1/DEBIAN/symbols doesn't match completely debian/libkwebkit1.symbols
--- debian/libkwebkit1.symbols (libkwebkit1_0.9.6svn1180498-2.1_kfreebsd-amd64)
+++ dpkg-gensymbolsIYl2nr	2012-05-23 00:50:02.000000000 +0000
@@ -11,8 +11,8 @@
  (c++)"KWebKitPart::staticMetaObject@Base" 0.9.6svn1158036
  (c++)"KWebKitPart::view()@Base" 0.9.6svn1158036
  (c++)"KWebKitPart::~KWebKitPart()@Base" 0.9.6svn1158036
- (optional|c++)"QColor KConfigGroup::readCheck<QColor>(char const*, QColor const&) const@Base" 0.9.6svn1158036
- (optional|c++)"QColor KConfigGroup::readEntry<QColor>(char const*, QColor const&) const@Base" 0.9.6svn1158036
+#MISSING: 0.9.6svn1180498-2.1# (optional|c++)"QColor KConfigGroup::readCheck<QColor>(char const*, QColor const&) const@Base" 0.9.6svn1158036
+#MISSING: 0.9.6svn1180498-2.1# (optional|c++)"QColor KConfigGroup::readEntry<QColor>(char const*, QColor const&) const@Base" 0.9.6svn1158036
  (c++)"VTT for KWebKitPart@Base" 0.9.6svn1158036
  (c++)"WebKitSettings::WebKitSettings()@Base" 0.9.6svn1158036
  (c++)"WebKitSettings::WebKitSettings(WebKitSettings const&)@Base" 0.9.6svn1158036
@@ -87,6 +87,12 @@
  (c++)"WebKitSettings::windowStatusPolicy(QString const&) const@Base" 0.9.6svn1158036
  (c++)"WebKitSettings::zoomTextOnly() const@Base" 0.9.6svn1158036
  (c++)"WebKitSettings::~WebKitSettings()@Base" 0.9.6svn1158036
+ _ZN10KWebWallet7WebFormD1Ev@Base 0.9.6svn1180498-2.1
+ _ZN10KWebWallet7WebFormD2Ev@Base 0.9.6svn1180498-2.1
+ _ZN3KIO8MetaDataD1Ev@Base 0.9.6svn1180498-2.1
+ _ZN3KIO8MetaDataD2Ev@Base 0.9.6svn1180498-2.1
+ _ZN4KUrl4ListD1Ev@Base 0.9.6svn1180498-2.1
+ _ZN4KUrl4ListD2Ev@Base 0.9.6svn1180498-2.1
  (optional|c++)"bool KConfigGroup::readCheck<bool>(char const*, bool const&) const@Base" 0.9.6svn1158036
  (optional|c++)"bool KConfigGroup::readEntry<bool>(QString const&, bool const&) const@Base" 0.9.6svn1158036
  (optional|c++)"bool KConfigGroup::readEntry<bool>(char const*, bool const&) const@Base" 0.9.6svn1158036
@@ -96,8 +102,8 @@
  (optional|c++)"int KConfigGroup::readCheck<int>(char const*, int const&) const@Base" 0.9.6svn1158036
  (optional|c++)"int KConfigGroup::readEntry<int>(char const*, int const&) const@Base" 0.9.6svn1158036
  (c++)"non-virtual thunk to KWebKitPart::~KWebKitPart()@Base" 0.9.6svn1158036
- (c++|arch=kfreebsd-amd64 kfreebsd-i386)"operator delete(void*, void*)@Base" 0.9.6svn1158036
- (optional|c++|regex)"operator new\(unsigned (int|long), void\*\)@Base" 0.9.6svn1158036
+#MISSING: 0.9.6svn1180498-2.1# (c++|arch=kfreebsd-amd64 kfreebsd-i386)"operator delete(void*, void*)@Base" 0.9.6svn1158036
+#MISSING: 0.9.6svn1180498-2.1# (optional|c++|regex)"operator new\(unsigned (int|long), void\*\)@Base" 0.9.6svn1158036
  (c++)"typeinfo for KWebKitPart@Base" 0.9.6svn1158036
  (c++)"typeinfo for WebKitSettings@Base" 0.9.6svn1158036
  (c++)"typeinfo name for KWebKitPart@Base" 0.9.6svn1158036
dh_makeshlibs: dpkg-gensymbols -plibkwebkit1 -Idebian/libkwebkit1.symbols -Pdebian/libkwebkit1 returned exit code 1
make: *** [binary-arch] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=webkitkde&arch=kfreebsd-amd64&ver=0.9.6svn1180498-2.1&stamp=1337734210

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Adrian von Bidder <cmot@debian.org>:
Bug#675842; Package src:webkitkde. (Thu, 14 Jun 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrien <adrien.grellier@laposte.net>:
Extra info received and forwarded to list. Copy sent to Adrian von Bidder <cmot@debian.org>. (Thu, 14 Jun 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 675842@bugs.debian.org (full text, mbox):

From: Adrien <adrien.grellier@laposte.net>
To: 675842@bugs.debian.org
Subject: webkitkde: FTBFS[kfreebsd]: symbol changes
Date: Thu, 14 Jun 2012 17:33:39 +0200
Hi,

This package isn't up to date, and is orphaned. However, we are working on it to upload a new version, but we are currently searching for a sponsor.

You can follow our work on mentors.debian.net :

http://mentors.debian.net/package/webkitkde

and we manage the packaging on a repository on alioth :

http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/webkitkde.git

Cheers,

Adrien




Information forwarded to debian-bugs-dist@lists.debian.org, Adrian von Bidder <cmot@debian.org>:
Bug#675842; Package src:webkitkde. (Tue, 26 Jun 2012 17:21:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adrian von Bidder <cmot@debian.org>. (Tue, 26 Jun 2012 17:21:22 GMT) Full text and rfc822 format available.

Message #15 received at 675842@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 675842@bugs.debian.org
Cc: 675842-submitter@bugs.debian.org
Subject: Retest request.
Date: Tue, 26 Jun 2012 19:02:34 +0200
[Message part 1 (text/plain, inline)]
  Hello:

  I have updated the [0] version of the package yet again, now in sync with 
latest upstream version.

  I would greatly appreciate if you could test the build again. I don't have 
access to a kfreebsd machine and hence I'm unable to test this on time before 
the freeze.

  Please, don't hesitate to ask for whatever you need to test this.

  [0] http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/webkitkde.git

  Best regards,
-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Message sent on to debian-bsd@lists.debian.org:
Bug#675842. (Tue, 26 Jun 2012 17:21:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#675842; Package src:webkitkde. (Fri, 29 Jun 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Fri, 29 Jun 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #23 received at 675842@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Raúl Sánchez Siles <rasasi78@gmail.com>
Cc: 675842@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#675842: Retest request.
Date: Fri, 29 Jun 2012 19:13:28 +0100
On 26/06/12 18:02, Raúl Sánchez Siles wrote:
>   I would greatly appreciate if you could test the build again. I don't have 
> access to a kfreebsd machine and hence I'm unable to test this on time before 
> the freeze.

Hi,

It seems to build OK now on kfreebsd-i386 after this commit fixed the
build-stamp problem:

http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/webkitkde.git;a=commit;h=83adb0b59f231c0b59bd5c87e763cb8095af59bf

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Reply sent to adrien <adrien@adrieng.homeip.net>:
You have taken responsibility. (Sun, 01 Jul 2012 14:18:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 01 Jul 2012 14:18:04 GMT) Full text and rfc822 format available.

Message #28 received at 675842-done@bugs.debian.org (full text, mbox):

From: adrien <adrien@adrieng.homeip.net>
To: <675842-done@bugs.debian.org>
Subject: Done: webkitkde: FTBFS[kfreebsd]: symbol changes
Date: Sun, 01 Jul 2012 15:52:48 +0200
Package: src:webkitkde
Version: 1.3~git20120518.9a111005-2

Hi,

I mark the bug as fixed, as it now builds on kfreebsd. If you think it's
wrong, please feel free to re-open it.

Regards,

Adrien Grellier




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Aug 2012 07:29:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:39:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.